summaryrefslogtreecommitdiffstats
path: root/system/freefont
diff options
context:
space:
mode:
author Dugan Chen <dugan [underscore] c [at] fastmail [dot] fm>2010-05-11 22:55:17 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:17 +0200
commit832b1e03377af6a0cdd5783ac3260e57b18624c3 (patch)
treebdab0bf95a888f816abc0d7e9162ca0babc1dde3 /system/freefont
parent0b8fd89fd65d0d6724963dd18109af0fcc5c9fe4 (diff)
downloadslackbuilds-832b1e03377af6a0cdd5783ac3260e57b18624c3.tar.gz
slackbuilds-832b1e03377af6a0cdd5783ac3260e57b18624c3.tar.xz
system/freefont: Added to 12.1 repository
Diffstat (limited to 'system/freefont')
-rw-r--r--system/freefont/35-freefont.conf22
-rw-r--r--system/freefont/README15
-rw-r--r--system/freefont/doinst.sh11
-rw-r--r--system/freefont/freefont.SlackBuild55
-rw-r--r--system/freefont/freefont.info8
-rw-r--r--system/freefont/slack-desc20
6 files changed, 131 insertions, 0 deletions
diff --git a/system/freefont/35-freefont.conf b/system/freefont/35-freefont.conf
new file mode 100644
index 0000000000..913e2772c0
--- /dev/null
+++ b/system/freefont/35-freefont.conf
@@ -0,0 +1,22 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+ <alias>
+ <family>serif</family>
+ <prefer>
+ <family>FreeSerif</family>
+ </prefer>
+ </alias>
+ <alias>
+ <family>sans-serif</family>
+ <prefer>
+ <family>FreeSans</family>
+ </prefer>
+ </alias>
+ <alias>
+ <family>monospace</family>
+ <prefer>
+ <family>FreeMono</family>
+ </prefer>
+ </alias>
+</fontconfig>
diff --git a/system/freefont/README b/system/freefont/README
new file mode 100644
index 0000000000..9cdda67b59
--- /dev/null
+++ b/system/freefont/README
@@ -0,0 +1,15 @@
+GNU FreeFont
+
+GNU FreeFont is a free family of scalable outline fonts, suitable for
+general use on computers and for desktop publishing. It is Unicode-
+encoded for compatibility with all modern operating systems.
+
+Besides a full set of characters for writing systems based on the Latin
+alphabet, FreeFont contains symbol characters and characters from other
+writing systems.
+
+
+This SlackBuild sets the "sans", "serif" and "monspace" font aliases to
+FreeSans, FreeSerif and FreeMono.
+
+Remove the symlink /etc/fonts/conf.d/35-freefont.conf to disable this. \ No newline at end of file
diff --git a/system/freefont/doinst.sh b/system/freefont/doinst.sh
new file mode 100644
index 0000000000..bdb050188d
--- /dev/null
+++ b/system/freefont/doinst.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/freefont/freefont.SlackBuild b/system/freefont/freefont.SlackBuild
new file mode 100644
index 0000000000..e3e0d0a770
--- /dev/null
+++ b/system/freefont/freefont.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for GNU FreeFont
+
+# Written by Dugan Chen (dugan [underscore] c [at] fastmail [dot] fm)
+# Modified by SlackBuilds.org
+
+PRGNAM=freefont
+VERSION=${VERSION:-20080912}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING CREDITS ChangeLog INSTALL README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-ttf-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp *.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/etc/fonts/conf.{avail,d}
+cp $CWD/35-freefont.conf $PKG/etc/fonts/conf.avail
+
+( cd $PKG/etc/fonts/conf.d
+ ln -sf ../conf.avail/35-freefont.conf
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/freefont/freefont.info b/system/freefont/freefont.info
new file mode 100644
index 0000000000..a2925a23a3
--- /dev/null
+++ b/system/freefont/freefont.info
@@ -0,0 +1,8 @@
+PRGNAM="freefont"
+VERSION="20080912"
+HOMEPAGE="http://www.gnu.org/software/freefont/"
+DOWNLOAD="http://ftp.gnu.org/gnu/freefont/freefont-ttf-20080912.tar.gz"
+MD5SUM="7af906b00144ad8cca27f6494a37a052"
+MAINTAINER="Dugan Chen"
+EMAIL="dugan [underscore] c [at] fastmail [dot] fm"
+APPROVED="dsomero"
diff --git a/system/freefont/slack-desc b/system/freefont/slack-desc
new file mode 100644
index 0000000000..fdd6894203
--- /dev/null
+++ b/system/freefont/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+freefont: GNU FreeFont (free family of scalable outline fonts)
+freefont:
+freefont: GNU FreeFont is a free family of scalable outline fonts, suitable for
+freefont: general use on computers and for desktop publishing. It is Unicode-
+freefont: encoded for compatibility with all modern operating systems.
+freefont:
+freefont: Besides a full set of characters for writing systems based on the
+freefont: Latin alphabet, FreeFont contains symbol characters and characters
+freefont: from other writing systems.
+freefont:
+freefont: http://www.gnu.org/software/freefont/
+